新版微信注入动态库闪退?


#1

新版微信自 6.7.2开始注入动态库打包安装运行后闪退, 直接重签名安装运行没有问题, 只要注入动态库就运行闪退, 有没有遇到同样问题的小伙伴, 该如何破解?

以下是控制台输出
/private/var/containers/Bundle/Application/9162ED2B-F1D6-442E-8071-07FA55AE9619/WeChat.app/abc.dylib not valid: 0xe8008018: The identity used to sign the executable is no longer valid.

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY
Termination Description: DYLD, Library not loaded: @executable_path/abc.dylib | Referenced from: /var/containers/Bundle/Application/9162ED2B-F1D6-442E-8071-07FA55AE9619/WeChat.app/WeChat | Reason: no suitable image found. Did find: | /var/containers/Bundle/Application/9162ED2B-F1D6-442E-8071-07FA55AE9619/WeChat.app/abc.dylib: code signature invalid for ‘/var/containers/Bundle/Application/9162ED2B-F1D6-442E-8071-07FA55AE9619/WeChat.app/abc.dylib’ | | /private/var/containers/Bundle/Application/9162ED2B-F1D6-442E-8071-07FA55AE9619/WeChat.app/abc.dylib: code signature invalid for ‘/private/var/containers/Bundle/Application/9162ED2B-F1D6-442E-8071-07FA55AE9619/WeChat.app/abc.dylib’ |
Triggered by Thread: 0


#2

功能最低版本有没有设置成8,我之前默认都是11.2,直接闪退


#3

或许可以尝试别的注入方法, 硬生生的往二进制文件里注入是会闪退, 我也遇到过


#4

ROFLMAO